<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: FP Blooter Theme
| Filename: theme.php
| Author: Fangree Productions
| Version: v1.00
| Developers: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "960px");
define("THEME_BULLET", "<span class='theme-bullet'/>&raquo;</span>");
set_image("author",  THEME."images/author.png");
set_image("date",  THEME."images/date.png");
set_image("reads",  THEME."images/reads.png");
set_image("comments",  THEME."images/comments.png");
set_image("readmore",  THEME."images/readmore.png");
set_image("edit",  THEME."images/edit.png");
set_image("print",  THEME."images/printer.png");
set_image("sticky",  THEME."images/sticky.png");
set_image("new",  THEME."images/new.png");
set_image("facebook",  THEME."images/facebook.png");
set_image("google+",  THEME."images/google.png");
set_image("twitter",  THEME."images/twitter.png");

function render_page($license=false) {
	
	global $settings, $locale, $main_style, $mysql_queries_time, $aidlink;

	echo"<div class='wrapper'>";
//	require_once THEME."includes/quicksign_panel/quicksign_panel.php";
echo"
	<div class='header'>
    	<div class='site_title'><h1><a href='".BASEDIR."index.php'></a></h1></div>
        <div class='menu'>
      <div id='navi'>
<ul class='navi'>
<li><a href='".BASEDIR."index.php'><span>Home</span></a></li>
<li><a href='#' class='parent'><span>Main Menu<span class='indicator'>&raquo;</span></span></a>
<div>".showsublinks(" ")."</div>
</li>";

echo"<li><a href='#' class='parent'><span>Addons<span class='indicator'>&raquo;</span></span></a>
<div><ul>
<li><a href='".BASEDIR."downloads.php?cat_id=3'><span>7.02 Addons</span></a></li>
<li><a href='".BASEDIR."downloads.php?cat_id=2'><span>7.01 Addons</span></a></li>
<li><a href='".BASEDIR."downloads.php?cat_id=5'><span>Members Addons</span></a></li>
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=10'><span>Translations</span></a></li>
</ul></div>
</li>
<li><a href='#' class='parent'><span>Themes<span class='indicator'>&raquo;</span></span></a>
<div><ul>

<li><a href='".BASEDIR."downloads.php?cat_id=7'><span>7.02 Themes</span></a></li>
<li><a href='".BASEDIR."downloads.php?cat_id=4'><span>7.01 Themes</span></a></li>
<li><a href='".BASEDIR."downloads.php?cat_id=9'><span>Members Themes</span></a></li>
</ul></div>
</li>";
if (iMEMBER) {
 echo"<li><a href='#' class='parent'><span>Support<span class='indicator'>&raquo;</span></span></a>
<div><ul>
<li><a href='".BASEDIR."forum/index.php'><span>Forum</span></a></li> 
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=13'><span>Site Information</span></a></li> 
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=32'><span>Site Issues</span></a></li> 
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=2'><span>FP 7.02 Addons Support</span></a></li>
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=7'><span>FP 7.02 Themes Support</span></a></li>
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=24'><span>Modifications Support</span></a></li>
<li><a href='".BASEDIR."forum/viewforum.php?forum_id=25'><span>Themes Support</span></a></li>
</ul></div>
</li>";
}
echo"</ul>
</div>  	
        </div> <!-- end of menu -->
    </div> <!-- end of header -->
    <div class='middle'>
     <span class='mid_title'>
			<span class='middle-main'>"; 
		require_once THEME."includes/affs.php";
			echo"</span></span>
        <div class='cleaner'></div>
	</div> <!-- end of middle -->";
	echo "<div class='container clearfix $main_style'>\n";
	if (LEFT) { echo "<div class='side-border-left'>".LEFT."</div>\n"; }
	if (RIGHT) { echo "<div class='side-border-right'>".RIGHT."</div>\n"; }
	echo "<div class='main-content'><div class='main-container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	echo "</div>\n";
	
require_once THEME."includes/footer.php";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
   opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";

	if ($c_info['admin_link'] !== false) {
		echo "<div class='floatfix'>\n
		<div class='comment_admin'>".$c_info['admin_link']."</div>\n
		</div>\n";
	}

		foreach($c_data as $data) {
            $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			    echo "<div class='comment-main spacer'>
			   <div class='tbl2 clearfix floatfix'>\n";
	            if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	             echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n
			            <span class='comment-name small'>".$data['comment_name']."</span>\n
		                 <span class='small'>".$data['comment_datestamp']."</span> \n";
	                  if ($data['edit_dell'] !== false) { echo "<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
			              echo "\n<div class='tbl2 comment_message'>".$data['comment_message']."</div>\n";
			    echo "</div>\n</div>\n";
	         }
                echo "</div>\n";
                 } else {
	          echo "<div class='nocomments-message spacer'>".$locale['c101']."</div>\n";
	         }
    closetable();
}

//Render News Function
function render_news($subject, $news, $info) {
    global $locale, $settings, $aidlink;
	$parameter= $settings['siteurl']."news.php?readmore=".$info['news_id'];
	$breaking_news = 3600; //Breaking News Time (1 Hour/60 Mins/3600 Seconds)
      opentable($subject.(time()-$info['news_date'] < $breaking_news ? " <img class='breaking-news' src='".get_image("new")."' title='New News Item' alt='New News Item'/>" : 
	($info['news_sticky'] == 1 ? "<img class='sticky-news' src='".get_image("sticky")."' title='Sticky News Item' alt='Sticky News Item'/>" : "")));
    echo" <div class='news-info'><img src='".get_image("author")."' alt='".$locale['global_070']." ".$info['user_name']."'  title='".$locale['global_070'].$info['user_name']."' class='news-icons' /> ".profile_link($info['user_id'], $info['user_name'], $info['user_status']);
          echo " <img src='".get_image("date")."' alt='".$locale['global_049']."".$locale['global_071']." ".showdate("%d-%m-%Y %H:%M", $info['news_date'])."' title='".$locale['global_049']." ".$locale['global_071'].showdate("%d-%m-%Y %H:%M", $info['news_date'])."' class='news-icons' /> ".showdate("%d-%m-%Y %H:%M", $info['news_date'])."\n";
		   echo " <img src='".get_image("reads")."' alt='".$info['news_reads']." ".$locale['global_074']."' title='".$info['news_reads']." ".$locale['global_074']."' class='news-icons' /> ".$info['news_reads']." ".$locale['global_074']."";
             if ($info['news_allow_comments'] && $settings['comments_enabled'] == "1") { echo "&nbsp; <img src='".get_image("comments")."' alt='".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."'  title='".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."' class='news-icons' /> <a href='".BASEDIR."news.php?readmore=".$info['news_id']."#comments'>".$info['news_comments'].($info['news_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."</a>\n"; }
              echo "<div class='float-right clearfix'>\n";
	            echo "<a href='".BASEDIR."print.php?type=N&amp;item_id=".$info['news_id']."'><img class='news-iconsb' src='".get_image("print")."' title='Print' alt='printer' /></a>\n";
	            if (iADMIN && checkrights("N")) {
                echo " <a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$info['news_id']."'><img class='news-iconsb' src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
	            }
	           echo "</div>\n";
	          echo"</div>\n";
             echo "<div class='news-body floatfix'>".$info['cat_image'].$news."</div>\n";



            if ($info['news_ext'] == "y") {  echo" <div class='news-infob'>";
			echo" <span class='button_01 float-right'><a href='".BASEDIR."news.php?readmore=".$info['news_id']."'>Read More</a></span>";
    echo"</div>\n";
   }
 

 closetable();

}

//Render Articles Function
function render_article($subject, $article, $info) {
    global $locale, $settings, $aidlink;
    opentable($subject);
    echo" <div class='news-info'><img src='".get_image("author")."' alt='".$locale['global_070']." ".$info['user_name']."'  title='".$locale['global_070'].$info['user_name']."' class='news-icons' /> ".profile_link($info['user_id'], $info['user_name'], $info['user_status']);
          echo " <img src='".get_image("date")."'alt='".$locale['global_049']."".$locale['global_071']." ".showdate("%d-%m-%Y %H:%M", $info['article_date'])."' title='".$locale['global_049']." ".$locale['global_071'].showdate("%d-%m-%Y %H:%M", $info['article_date'])."' class='news-icons' /> ".showdate("%d-%m-%Y %H:%M", $info['article_date'])."\n";
		   echo " <img src='".get_image("reads")."' alt='".$info['article_reads']." ".$locale['global_074']."' title='".$info['article_reads']." ".$locale['global_074']."' class='news-icons' /> ".$info['article_reads']." ".$locale['global_074']."";
             if ($info['article_allow_comments'] && $settings['comments_enabled'] == "1") { echo "&nbsp; <img src='".get_image("comments")."' alt='".$info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."'  title='".$info['article_comments'].($info['article_comments'] == 1 ? $locale['global_073b'] : $locale['global_073'])."' class='news-icons' /> <a href='".BASEDIR."articles.php?article_id=".$info['article_id']."#comments'>".$info['article_comments'].($info['article_comments'] == 1 ? $locale[	'global_073b'] : $locale['global_073'])."</a>\n"; }
              echo "<div class='float-right clearfix'>\n";
	            echo "<a href='".BASEDIR."print.php?type=A&amp;item_id=".$info['article_id']."'><img class='news-iconsb' src='".get_image("print")."' title='Print' alt='printer' /></a>\n";
	            if (iADMIN && checkrights("A")) {
	           echo "<a href='".ADMIN."articles.php".$aidlink."&amp;action=edit&amp;article_id=".$info['article_id']."'><img class='news-iconsb' src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' border='0' /></a>\n";
               }
	           echo "</div>\n";
	          echo"</div>\n";
             echo "<div class='news-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
          echo" <div class='news-infob'>";
   echo"</div>\n";
    closetable();

}

function opentable($title) {  
echo "<div class='cap-main'>$title</div>\n
<div class='main-border'>\n";
}

function closetable() { echo "</div>\n"; }

function openside($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;

echo "<div class='scap-main'>";
if ($collapse == true) {
$boxname = str_replace(" ", "", $title);
echo "<div class='panelbutton'>".panelbutton($state,$boxname)."</div>";
}
echo $title."</div>\n<div class='side-body floatfix'>\n";
if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside($collapse = false) {
global $panel_collapse;
if ($panel_collapse == true) { echo "</div>\n"; }
echo "</div>\n\n";
}
?>